/* ! INIZIO HEADER */
.header{
    width:100%;
    min-height:80px;
    margin:0 auto;
    z-index:50;
    display: flex;
    flex-flow: row;
    align-items: center;
    justify-content: space-between;
    position: fixed;    
    /*border:#0f0 solid 3px;*/
    background-color: rgba(0,0,0, 0.15);
    box-shadow: 0 4px 12px rgba(0,0,0,0.15);
}
@media(min-width:768px){
    .header{
        padding:2% 2% 0 2%;
        transition: all 1s cubic-bezier(.215, .61, .355, 1);
    }
}
.scroll-down{
    background-color: #0B3777;
    padding:0;
    box-shadow: 0 4px 12px rgba(0,0,0,0.15);
}


.div-logo{width:30%;height:200px;margin:10px 20px;}
.div-logo img{height:100%;width:auto;transition: all 0.4s ease;}

.scroll-down .div-logo{
    height:70px;
}
.scroll-down .div-logo img {
    content: url('../immagini/01-logo-small.png');
    width: 70px;height:70px;
}


.header__menu{
    /*width:100%;
    display:flex;
    align-items: center;
    justify-content:center;
    margin:10px;
    position: relative;*/
    width:100%;
    /*border:#f00 solid 2px;*/
    text-align: right;
    margin:10px 20px;
    /*background-color:var(--bg-header);*/
}

    .header__menu-item{
        list-style-type: none;
        display: inline-block;
        margin:10px 5px;
        padding:10px;
        position: relative;
    }
    .header__menu-link{
        text-transform: uppercase;
        text-decoration: none; 
        /*color:#1d91d1;*/
        /*color:#FFD84D;*/
        color:#fff;
        padding:10px;
        font-weight:600;
    }
    .header__sottomenu-ul{
        list-style-type:none;
        background-color: rgba(0,0,0, 0.15);
        position: absolute;
        top:100%;
        min-width:100%;
        width:max-content;       /* ma può allargarsi quanto serve */
        overflow: hidden;
        max-height:0;
        z-index:50;
        /*transition: max-height 1s cubic-bezier(0.215, 0.610, 0.355, 1);*/
    }
    .scroll-down .header__sottomenu-ul{background-color:#0B3777;}
    .header__sottomenu-ul li{margin:20px 20px 20px 10px;text-align:left;}
    .header__sottomenu-ul li a{
        text-decoration: none;
        color:#fff;
        text-transform: uppercase;
        font-size:0.9rem;
    }
    /*.header__sottomenu-ul.open-submenu{max-height: 500px;}*/
    .open-submenu{max-height: 500px;border-bottom:var(--bordi2) solid 2px;border-top:var(--bordi2) solid 2px;}
    .header__menu-link i {transition: transform 0.3s ease;}
    .header__menu-link.animateArrow i {transform: rotate(180deg);transition: transform 0.3s ease;}

    .header__hamburger{display:none;}

@media (max-width: 998px){
    /* ! INIZIO HEADER */
    .div-logo{width:40%;height:120px;margin:10px;text-align:center;}
    .div-logo img{height:120px;width:auto;}
    .header{flex-flow: column;align-items: center;justify-content: center;}
}

@media (max-width: 768px) {
    .header{
        position: fixed;
        top:0;
        left:0;
        width:100%;
        flex-flow: row;
        align-items: center;
        justify-content: space-between;
        height:70px;
        background-color: #0B3777;
    }
    .header__menu{
        position: absolute;
        top:80px;
        left:0;
        width:100%;
        margin:0;
        height:0;
        display:block;
        overflow: hidden;transition:all 1s cubic-bezier(.215, .61, .255, 1);
        background-color: #0B3777;
    }
    .div-logo{width:75%;margin:10px;height:70px;text-align:left;}
    .div-logo img{ content: url('../immagini/01-logo-small.png');height:70px;width:70px;}
    
    .header__hamburger{display:block;width:40px;height: 40px;margin:10px;cursor: pointer;}
    .header__hamburger span{
        width:32px; 
        height:3px; 
        /*background-color:#20325f;*/
        background-color:#fff; 
        display:block;
        margin-top:10px;
        margin-left:4px ;
        transition:all 0.3s cubic-bezier(.215, .61, .255, 1);
    }

    .menu-open .header__menu{height:calc(100vh - 70px); overflow: hidden;}
    /*.div-logo{border:#f00 solid 2px;width:40%;height:100px;margin:10px;}
    .div-logo img{height:100%;width:auto;}*7

    .header__menu-item{display: block;border:#000 solid 1px; margin:10px;}

    /*.menu-open .header__hamburger span:nth-child(1){transform: translateY(6px) rotate(45deg);}
    .menu-open .header__hamburger span:nth-child(2){transform: translateY(-5px) rotate(-45deg);}*/
    .menu-open .header__hamburger span:nth-child(1){transform: translateY(5px) rotate(45deg);}
    .menu-open .header__hamburger span:nth-child(2){transform: translateY(-7px) rotate(-45deg);}
    .menu-open .header__hamburger span:nth-child(3){display:none;}
    
    .no-scroll{overflow: hidden;}
    .header__menu-item{display:block;border:#f00 solid 2px;}
    /** SOTTOMENU' */
    .header__sottomenu-ul{position:relative;}
    .header__sottomenu-ul li{}
    .header__sottomenu-ul li a{}
    .open-submenu{margin-top:10px;}
    /** ---------- */
}
/** FINE HEADER */